## drbl 5.1.10

=== debian/changelog ===
drbl (5.1.10-1) unstable; urgency=medium

  * New upstream version 5.1.10

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 09 Jul 2022 08:35:48 +0200

drbl (5.1.9-1) unstable; urgency=medium

  * New upstream version 5.1.9

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 14 Jun 2022 14:23:42 +0200

drbl (5.1.8-1) unstable; urgency=medium

  * New upstream version 5.1.8

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 31 May 2022 20:01:07 +0200

drbl (5.1.3-1) unstable; urgency=medium

  * New upstream version 5.1.3

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 19 May 2022 18:12:48 +0200

drbl (5.0.9-1) unstable; urgency=medium

  * New upstream version 5.0.9
  * refreshed patch "fix-bug-979268.patch"

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 06 May 2022 18:45:51 +0200

drbl (5.0.7-1) unstable; urgency=medium

  * New upstream version 5.0.7

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 20 Apr 2022 11:03:31 +0200

drbl (5.0.6-1) unstable; urgency=medium

  * new upstream version 5.0.6

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 11 Apr 2022 18:39:59 +0200

drbl (5.0.3-1) unstable; urgency=medium

  * New upstream version 5.0.3

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 26 Mar 2022 19:05:07 +0100

drbl (5.0.1-1) unstable; urgency=medium

  * new upstream version
  * bumped Standards-Version: 4.6.0

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 06 Mar 2022 19:41:13 +0100

=== debian/control ===
Source: drbl
Section: admin
Priority: extra
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper-compat (=13)
Standards-Version: 4.6.0
Homepage: http://drbl.sourceforge.net/
Vcs-Git: https://salsa.debian.org/georgesk/drbl.git
Vcs-Browser: https://salsa.debian.org/georgesk/drbl


Package: drbl
Architecture: all
Depends: ${misc:Depends},
 perl,
 bash (>=5),
 ipcalc,
 wakeonlan,
 bc,
 fdisk,
 e2fsprogs
Recommends: clonezilla,
 syslinux,
 syslinux-common
Description: diskless remote boot, and a disk cloning utility
 DRBL (Diskless Remote Boot in Linux) provides a diskless or
 systemless environment for client machines. It works on Debian,
 Ubuntu, Mandriva, Red Hat, Fedora, CentOS and OpenSuSE. DRBL uses
 distributed hardware resources and makes it possible for clients to
 fully access local hardware. It also includes Clonezilla, a partition
 and disk cloning utility similar to Symantec Ghost(TM) or True
 Image(TM).
 .
 For more details, check
  1. http://drbl.sourceforge.net (English)
  2. http://drbl.nchc.org.tw (Chinese Big5 - Taiwan)

## drbl 5.1.17

=== debian/changelog ===
drbl (5.1.17-1) unstable; urgency=medium

  * New upstream version 5.1.17

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 01 Nov 2022 11:39:55 +0100

## drbl 5.2.0

=== debian/changelog ===
drbl (5.2.0-1) unstable; urgency=medium

  * New upstream version 5.2.0

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 08 Dec 2022 16:38:50 +0100

## drbl 5.2.1

=== debian/changelog ===
drbl (5.2.1-1) unstable; urgency=medium

  * New upstream version 5.2.1

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 16 Dec 2022 18:09:07 +0100

## drbl 5.2.3

=== debian/changelog ===
drbl (5.2.3-1) unstable; urgency=medium

  * New upstream version 5.2.3

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 12 Jan 2023 17:40:09 +0100

## drbl 5.2.7

=== debian/changelog ===
drbl (5.2.7-1) unstable; urgency=medium

  * New upstream version 5.2.7
  * bumped Standards-Version: 4.6.2

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 11 Feb 2023 18:39:36 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper-compat (=13)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: http://drbl.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/georgesk/drbl.git
 Vcs-Browser: https://salsa.debian.org/georgesk/drbl

## drbl 5.2.10

=== debian/changelog ===
drbl (5.2.10-1) experimental; urgency=medium

  * New upstream version 5.2.10

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 01 May 2023 17:21:36 +0200

## drbl 5.2.18

=== debian/changelog ===
drbl (5.2.18-1) unstable; urgency=medium

  * New upstream version 5.2.18

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 25 Jul 2023 10:27:46 +0200

drbl (5.2.17-1) unstable; urgency=medium

  * New upstream version 5.2.17

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 14 Jul 2023 19:04:50 +0200

drbl (5.2.15-1) unstable; urgency=medium

  * New upstream version 5.2.15

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 01 Jul 2023 16:26:55 +0200

drbl (5.2.12-3) unstable; urgency=medium

  * upload to unstable

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 11 Jun 2023 11:44:10 +0200

drbl (5.2.12-2) experimental; urgency=medium

  * promoted syslinux, syslinux-common from recommendations to dependencies
  * created postinst and prerm routines, to manage file
    /usr/share/drbl/pkg/syslinux/bios/mbr.bin
    Closes: #886098

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 10 Jun 2023 11:45:01 +0200

drbl (5.2.12-1) experimental; urgency=medium

  * New upstream version 5.2.12

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 29 May 2023 14:18:17 +0200

=== debian/control ===
--- 
+++ 
@@ -18,10 +18,10 @@
  wakeonlan,
  bc,
  fdisk,
- e2fsprogs
-Recommends: clonezilla,
+ e2fsprogs,
  syslinux,
  syslinux-common
+Recommends: clonezilla
 Description: diskless remote boot, and a disk cloning utility
  DRBL (Diskless Remote Boot in Linux) provides a diskless or
  systemless environment for client machines. It works on Debian,

## drbl 5.2.21

=== debian/changelog ===
drbl (5.2.21-3) unstable; urgency=medium

  * reverted to control file from 5.2.21-1

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 06 Aug 2023 12:27:40 +0200

drbl (5.2.21-2) unstable; urgency=medium

  * use a more sophisticated dependency scheme for syslinux
  * removed the minimum version for the dependency on bash

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 05 Aug 2023 23:12:24 +0200

drbl (5.2.21-1) unstable; urgency=medium

  * New upstream version 5.2.21
  * just recommend syslinux, since arm64 architectures cannot install it

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 05 Aug 2023 23:02:27 +0200

## drbl 5.2.28

=== debian/changelog ===
drbl (5.2.28-1) unstable; urgency=medium

  * New upstream version 5.2.28

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 17 Dec 2023 17:18:16 +0100

drbl (5.2.27-1) unstable; urgency=medium

  * New upstream version 5.2.27

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 11 Dec 2023 15:24:16 +0100

drbl (5.2.26-1) unstable; urgency=medium

  * New upstream version 5.2.26

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 02 Nov 2023 12:18:30 +0100

drbl (5.2.23-1) unstable; urgency=medium

  * New upstream version 5.2.23

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 15 Oct 2023 19:33:39 +0200

drbl (5.2.22-1) unstable; urgency=medium

  * New upstream version 5.2.22

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 24 Aug 2023 11:00:06 +0200

## drbl 5.2.30

=== debian/changelog ===
drbl (5.2.30-1) unstable; urgency=medium

  * New upstream version 5.2.30

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 14 Jan 2024 17:36:23 +0100

=== debian/control ===
--- 
+++ 
@@ -13,15 +13,15 @@
 Architecture: all
 Depends: ${misc:Depends},
  perl,
- bash (>=5),
+ bash,
  ipcalc,
  wakeonlan,
  bc,
  fdisk,
  e2fsprogs,
- syslinux,
  syslinux-common
-Recommends: clonezilla
+Recommends: clonezilla,
+ syslinux
 Description: diskless remote boot, and a disk cloning utility
  DRBL (Diskless Remote Boot in Linux) provides a diskless or
  systemless environment for client machines. It works on Debian,

## drbl 5.3.1

=== debian/changelog ===
drbl (5.3.1-1) unstable; urgency=medium

  * New upstream version 5.3.1

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 17 Jun 2024 17:04:15 +0200

drbl (5.2.37-1) unstable; urgency=medium

  * New upstream version 5.2.37

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 03 May 2024 18:39:12 +0200

drbl (5.2.36-1) unstable; urgency=medium

  * New upstream version 5.2.36

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 21 Apr 2024 16:21:22 +0200

drbl (5.2.34-1) unstable; urgency=medium

  * New upstream version 5.2.34
  * bumped Standards-Version: 4.7.0

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 12 Apr 2024 13:31:48 +0200

drbl (5.2.33-1) unstable; urgency=medium

  * New upstream version 5.2.33

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 19 Mar 2024 14:47:40 +0100

drbl (5.2.31-1) unstable; urgency=medium

  * New upstream version 5.2.31

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 06 Mar 2024 17:03:27 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper-compat (=13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://drbl.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/georgesk/drbl.git
 Vcs-Browser: https://salsa.debian.org/georgesk/drbl

## drbl 5.3.2

=== debian/changelog ===
drbl (5.3.2-1) unstable; urgency=medium

  * New upstream version 5.3.2
  * Mentioned a version for bash dependency

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 06 Jul 2024 18:34:12 +0200

## drbl 5.3.3

=== debian/changelog ===
drbl (5.3.3-1) unstable; urgency=medium

  * New upstream version 5.3.3

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 09 Aug 2024 09:11:15 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Architecture: all
 Depends: ${misc:Depends},
  perl,
- bash,
+ bash (>= 5.2),
  ipcalc,
  wakeonlan,
  bc,

## drbl 5.3.4

=== debian/changelog ===
drbl (5.3.4-1) unstable; urgency=medium

  * New upstream version 5.3.4

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 08 Sep 2024 16:53:45 +0200

## drbl 5.3.5

=== debian/changelog ===
drbl (5.3.5-1) unstable; urgency=medium

  * New upstream version 5.3.5

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 20 Sep 2024 14:26:57 +0200

## drbl 5.3.7

=== debian/changelog ===
drbl (5.3.7-1) unstable; urgency=medium

  * New upstream version 5.3.7

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 01 Oct 2024 12:04:38 +0200

## drbl 5.3.10

=== debian/changelog ===
drbl (5.3.10-1) unstable; urgency=medium

  * New upstream version 5.3.10

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 08 Nov 2024 15:47:59 +0100

## drbl 5.3.13

=== debian/changelog ===
drbl (5.3.13-1) unstable; urgency=medium

  * New upstream version 5.3.13

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 04 Dec 2024 14:48:28 +0100

## drbl 5.3.17

=== debian/changelog ===
drbl (5.3.17-1) unstable; urgency=medium

  * New upstream version 5.3.17

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 26 Dec 2024 13:48:48 +0100

drbl (5.3.16-1) unstable; urgency=medium

  * New upstream version 5.3.16

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 16 Dec 2024 11:00:05 +0100

## drbl 5.4.1

=== debian/changelog ===
drbl (5.4.1-1) unstable; urgency=medium

  * New upstream version 5.4.1

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 18 Jan 2025 11:31:44 +0100

drbl (5.4.0-2) unstable; urgency=medium

  * new build dependency: xxd. Closes: #1093327

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 18 Jan 2025 11:11:07 +0100

drbl (5.4.0-1) unstable; urgency=medium

  * New upstream version 5.4.0
  * updated debian/patches/makefile.patch

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 11 Jan 2025 22:22:35 +0100

## drbl 5.4.3

=== debian/changelog ===
drbl (5.4.3-1) unstable; urgency=medium

  * New upstream version 5.4.3

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 05 Feb 2025 18:46:46 +0100

## drbl 5.4.5

=== debian/changelog ===
drbl (5.4.5-1) unstable; urgency=medium

  * New upstream version 5.4.5

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 11 Feb 2025 09:02:12 +0100

## drbl 5.4.6

=== debian/changelog ===
drbl (5.4.6-1) unstable; urgency=medium

  * New upstream version 5.4.6

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 19 Feb 2025 18:55:58 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: admin
 Priority: extra
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper-compat (=13)
+Build-Depends: debhelper-compat (=13),
+ xxd
 Standards-Version: 4.7.0
 Homepage: http://drbl.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/georgesk/drbl.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

DESTDIR = debian/drbl

override_dh_install:
	dh_install
	# remove extra license file
	rm -f $(DESTDIR)/usr/share/drbl/doc/GPL

## drbl 5.4.7

=== debian/changelog ===
drbl (5.4.7-1) unstable; urgency=medium

  * New upstream version 5.4.7

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 16 Mar 2025 20:20:11 +0100

## drbl 5.4.9

=== debian/changelog ===
drbl (5.4.9-1) unstable; urgency=medium

  * New upstream version 5.4.9

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 23 Mar 2025 11:39:16 +0100

## drbl 5.4.10

=== debian/changelog ===
drbl (5.4.10-1) unstable; urgency=medium

  * New upstream version 5.4.10

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Apr 2025 10:04:56 +0200

## drbl 5.5.2

=== debian/changelog ===
drbl (5.5.2-1) unstable; urgency=medium

  * New upstream version 5.5.2

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 12 Jul 2025 09:15:26 +0200

## drbl 5.5.3

=== debian/changelog ===
drbl (5.5.3-1) unstable; urgency=medium

  * New upstream version 5.5.3

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 18 Jul 2025 19:01:50 +0200

## drbl 5.5.9

=== debian/changelog ===
drbl (5.5.9-1) unstable; urgency=medium

  * New upstream version 5.5.9

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 14 Aug 2025 09:56:54 +0200

## drbl 5.5.10

=== debian/changelog ===
drbl (5.5.10-1) unstable; urgency=medium

  [ Thomas Tsai ]
  * New upstream version 5.5.10

  [ Georges Khaznadar ]
  * Upload to unstable

 -- Thomas Tsai <tlinux.tsai@gmail.com>  Tue, 26 Aug 2025 15:13:54 +0800

## drbl 5.5.12

=== debian/changelog ===
drbl (5.5.12-1) unstable; urgency=medium

  * modified debian/tests/control
    + Restrictions +needs-root for test run-smoke-check as root access is
      required to run locale-gen and write to /etc/locale.gen
  * drbl has its own embedded version of wakeonlan, so the dependency on
    wakeonlan can be dropped. See the autoremove notice due to #1112642.
  * New upstream version 5.5.12

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 30 Sep 2025 11:07:13 +0200

=== debian/tests/control ===
#Tests: run-smoke-check
#Depends: @, shunit2, coreutils, locales
#Restrictions: allow-stderr, superficial, needs-root

Tests: run-basic-check
Depends: @, shunit2, coreutils, locales
Restrictions: allow-stderr, needs-root

## drbl 5.6.11

=== debian/changelog ===
drbl (5.6.11-1) unstable; urgency=medium

  * New upstream version 5.6.11

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 16 Oct 2025 09:33:36 +0200

drbl (5.5.12-2) unstable; urgency=medium

  * [Thomas Tsai] modified debian/tests/run-smoke-check and skipping
    tput error on CI environment.
  * [Georges Khaznadar] merged Thomas' modification

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 30 Sep 2025 11:39:37 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
  perl,
  bash (>= 5.2),
  ipcalc,
- wakeonlan,
  bc,
  fdisk,
  e2fsprogs,

## drbl 5.6.12

=== lang/Makefile ===
# Makefile
#
# License: GPL
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.
#
all: bash-lang perl-lang

bash-lang:
	( cd bash; \
	ln -fs de_DE de_DE.UTF-8; \
	ln -fs en_US en_US.UTF-8; \
	ln -fs hu_HU hu_HU.UTF-8; \
	ln -fs it_IT it_IT.UTF-8; \
	ln -fs ca_ES ca_ES.UTF-8; \
	ln -fs es_ES es_ES.UTF-8; \
	ln -fs pl_PL pl_PL.UTF-8; \
	ln -fs pt_BR pt_BR.UTF-8; \
	ln -fs sk_SK sk_SK.UTF-8; \
	ln -fs tr_TR tr_TR.UTF-8; \
	ln -fs fr_FR fr_FR.UTF-8 )

perl-lang:
	( cd perl; \
	ln -fs de_DE de_DE.UTF-8; \
	ln -fs en_US en_US.UTF-8; \
	ln -fs hu_HU hu_HU.UTF-8; \
	ln -fs it_IT it_IT.UTF-8; \
	ln -fs ca_ES ca_ES.UTF-8; \
	ln -fs es_ES es_ES.UTF-8; \
	ln -fs pl_PL pl_PL.UTF-8; \
	ln -fs pt_BR pt_BR.UTF-8; \
	ln -fs sk_SK sk_SK.UTF-8; \
	ln -fs tr_TR tr_TR.UTF-8; \
	ln -fs fr_FR fr_FR.UTF-8 )

clean:
	( cd bash; rm -f en_US.UTF-8 fr_FR.UTF-8 hu_HU.UTF-8 it_IT.UTF-8 ca_ES.UTF-8 es_ES.UTF-8 pl_PL.UTF-8 pt_BR.UTF-8 de_DE.UTF-8 sk_SK.UTF-8 tr_TR.UTF-8)
	( cd perl; rm -f en_US.UTF-8 fr_FR.UTF-8 hu_HU.UTF-8 it_IT.UTF-8 ca_ES.UTF-8 es_ES.UTF-8 pl_PL.UTF-8 pt_BR.UTF-8 de_DE.UTF-8 sk_SK.UTF-8 tr_TR.UTF-8)

=== debian/changelog ===
drbl (5.6.12-1) unstable; urgency=medium

  * New upstream version 5.6.12

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 22 Oct 2025 23:14:52 +0200

=== debian/tests/control ===
Tests: run-smoke-check
Depends: @, shunit2, coreutils, locales
Restrictions: allow-stderr, superficial, needs-root

Tests: run-basic-check
Depends: @, shunit2, coreutils, locales
Restrictions: allow-stderr, needs-root

=== debian/watch ===
version=4

opts="dversionmangle=auto" \
https://github.com/stevenshiau/drbl/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## drbl 5.7.2

=== Makefile ===
# Makefile
#
# License: GPL
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.
#
SHELL := bash -e
DESTDIR =
SHAREDIR = /usr/share/drbl/

SCRIPTS = bin/* sbin/* $(SHAREDIR)/sbin/* $(SHAREDIR)/bin/*

all: drbl-sbin-link languages pkg-misc

build:
	@echo "Nothing to build."

drbl-sbin-link:
	@echo "Files linking..."
	$(MAKE) -C sbin all

languages:
	@echo "Files linking..."
	$(MAKE) -C lang all

pkg-misc:
	@echo "Files in pkg-misc..."
	$(MAKE) -C pkg/misc all

install:
	# install exec files
	install -d $(DESTDIR)/usr/
	cp -a sbin bin $(DESTDIR)/usr/
	rm -f $(DESTDIR)/usr/sbin/Makefile
	# install setup dir
	install -d $(DESTDIR)/$(SHAREDIR)/
	cp -a setup $(DESTDIR)/$(SHAREDIR)/
	# install other shared files
	cp -a lang doc pkg pki image prerun postrun scripts/sbin scripts/bin $(DESTDIR)/$(SHAREDIR)/
	# erase an extra COPYING
	rm -f $(DESTDIR)/$(SHAREDIR)/pkg/misc/COPYING
	rm -f $(DESTDIR)/$(SHAREDIR)/pkg/misc/Makefile $(DESTDIR)/$(SHAREDIR)/lang/Makefile
	# install config files
	install -d $(DESTDIR)/etc/drbl/
	cp -a conf/* $(DESTDIR)/etc/drbl/
	# install themes
	install -d $(DESTDIR)/usr/share/gdm/themes/drbl-gdm
	cp -a themes/* $(DESTDIR)/usr/share/gdm/themes/drbl-gdm/

clean:
	$(MAKE) -C sbin clean
	$(MAKE) -C lang clean

=== pkg/misc/Makefile ===
# Makefile
#
# License: GPL
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.
#
all: 
	xxd -r fail-mbr.txt > fail-mbr.bin

=== debian/changelog ===
drbl (5.7.2-1) unstable; urgency=medium

  * New upstream version 5.7.2

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 01 Nov 2025 18:02:24 +0100

## drbl 5.7.5

=== debian/changelog ===
drbl (5.7.5-1) unstable; urgency=medium

  * New upstream version 5.7.5

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 24 Nov 2025 09:46:23 +0100

## drbl 5.7.7

=== debian/changelog ===
drbl (5.7.7-1) unstable; urgency=medium

  * New upstream version 5.7.7

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 01 Dec 2025 16:50:22 +0100

## drbl 5.7.8

=== debian/changelog ===
drbl (5.7.8-1) unstable; urgency=medium

  * New upstream version 5.7.8

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 06 Dec 2025 17:29:28 +0100

## drbl 5.7.9

=== debian/changelog ===
drbl (5.7.9-1) unstable; urgency=medium

  * New upstream version 5.7.9

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 30 Dec 2025 11:27:09 +0100

## drbl 5.7.10

=== debian/changelog ===
drbl (5.7.10-1) unstable; urgency=medium

  * New upstream version 5.7.10

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 07 Jan 2026 18:42:13 +0100

## drbl 5.7.11

=== debian/changelog ===
drbl (5.7.11-1) unstable; urgency=medium

  * New upstream version 5.7.11

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 15 Jan 2026 18:11:18 +0100

## drbl 5.7.12

=== debian/changelog ===
drbl (5.7.12-1) unstable; urgency=medium

  * New upstream version 5.7.12

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 04 Feb 2026 19:23:37 +0100

## drbl 5.8.2

=== debian/changelog ===
drbl (5.8.2-1) unstable; urgency=medium

  * New upstream version 5.8.2
  * overriden dh_auto_clean to remove the file pkg/misc/fail-mbr.bin

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 22 Feb 2026 20:10:11 +0100

=== debian/rules ===
--- 
+++ 
@@ -18,3 +18,8 @@
 	dh_install
 	# remove extra license file
 	rm -f $(DESTDIR)/usr/share/drbl/doc/GPL
+
+override_dh_auto_clean:
+	dh_auto_clean
+	: # remove a generated binary file
+	rm -f pkg/misc/fail-mbr.bin
